SemanticRelationship
Keywords: uk.ac.ic.doc.automed.matching.relationships.SemanticRelationship class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## uk.ac.ic.doc.automed.matching.relationships
Class SemanticRelationship

    java.lang.Object
      uk.ac.ic.doc.automed.matching.relationships.SemanticRelationship

Direct Known Subclasses:
  Disjointness, Equivalence, Incompatibility, Overlapness, Subsumption

    public abstract class SemanticRelationship

extends java.lang.Object

The SemanticRelationship class represents the semantic relationship between two schema elements. Semantic relationships are directed, i.e. the relationship between two elements `A,B` depends on the direction that they are compared. There are four types of semantic relationships: equivalence, subsumption, overlapness and disjointness. Subsumption can either be a subset or a superset. Relationships have strength. The strongest relationship is equivalence and the weakest is disjointness.

Constructor Summary
`SemanticRelationship()`

Method Summary
`abstract boolean` | `equals(java.lang.Object o)` Compares this object against the specified object.
`abstract java.lang.String` | `getName()` Returns the name of the `SemanticRelationship` object
`protected abstract int` | `getStrength()` Returns the strength of the `SemanticRelationship` object.
`boolean` | `isStronger(SemanticRelationship rel)` Returns `true` if this object's relationship is stronger that the specified object's relationship.
`abstract java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SemanticRelationship

    public SemanticRelationship()

Method Detail

### getName

    public abstract java.lang.String getName()

  Returns the name of the `SemanticRelationship` object

  Returns:
    the name of the `SemanticRelationship` object

### equals

    public abstract boolean equals(java.lang.Object o)

  Compares this object against the specified object.

  Overrides:
    `equals` in class `java.lang.Object`
  Returns:
    `true` if the objects are the same, `false` otherwise.

### toString

    public abstract java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### getStrength

    protected abstract int getStrength()

  Returns the strength of the `SemanticRelationship` object.

  Returns:
    the strength of the `SemanticRelationship` object.

### isStronger

    public boolean isStronger(SemanticRelationship rel)

  Returns `true` if this object's relationship is stronger that the specified object's relationship.

  Returns:
    `true` if this object's relationship is stronger that the specified object's re lationship, `false` otherwise.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD